// packageB/member/distribution_queue/affiliated_person/affiliated_person.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    member_list: [],
    show_index: -1,
    //more
    isLoadMore: true,
    page: 1,
    total_page: 0,
    id: ''
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.id) {
      this.setData({
        id: options.id
      });
    }
    this.getData();
  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss('plugin.commission-activity.api.activity-inquire.join-people');
    app._postNetWork({
      url: urlStr,
      showToastIn: false,
      data: {
        page: this.data.page,
        activity_id: this.data.id
      },
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          let datas = res.data;
          that.setData({
            member_list: datas.data,
            page: datas.current_page,
            total_page: datas.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {
        console.log(res.msg);
      }
    });
  },
  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },
  _getMoreData() {
    const that = this;
    let json = {
      page: this.data.page,
      activity_id: this.data.id
    };
    let api = "plugin.commission-activity.api.activity-inquire.join-people";
    let urlStr = '';
    that.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      return;
    } else {
      this.data.page = this.data.page + 1;
      urlStr = app.getNetAddresss(api);
      app._postNetWork({
        url: urlStr,
        showToastIn: false,
        data: json,
        success: function(resdata) {
          var res = resdata.data;
          if (res.result == 1) {
            var myData = res.data.data;
            that.setData({
              isLoadMore: true,
              member_list: that.data.member_list.concat(myData)
            });
          } else {
            that.setData({
              page: that.data.page - 1,
              isLoadMore: false
            });
            return;
          }
        },
        fail: function(res) {
          console.log(res.msg);
        }
      });
    }
  },
  showDetial(e) {
    let index = e.currentTarget.dataset.index;
    this.setData({
      show_index: index
    });
  },
  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  }
});
